"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var app = require("tns-core-modules/application");
var TNSRTCMediaStream_1 = require("./TNSRTCMediaStream");
var TNSMediaDevicesInfo_1 = require("../core/TNSMediaDevicesInfo");
var TNSRTCMediaDevices = (function () {
    function TNSRTCMediaDevices() {
    }
    TNSRTCMediaDevices.getUserMedia = function (constraints) {
        return new Promise(function (resolve, reject) {
            co.fitcom.fancywebrtc.FancyRTCMediaDevices.getUserMedia(app.android.context, constraints.instance, new co.fitcom.fancywebrtc.FancyRTCMediaDevices.GetUserMediaListener({
                onError: function (error) {
                    reject(error);
                }, onSuccess: function (stream) {
                    resolve(TNSRTCMediaStream_1.TNSRTCMediaStream.fromNative(stream));
                }
            }));
        });
    };
    TNSRTCMediaDevices.getDisplayMedia = function (constraints) {
        return new Promise(function (resolve, reject) {
            co.fitcom.fancywebrtc.FancyRTCMediaDevices.getDisplayMedia(app.android.foregroundActivity, constraints.instance, new co.fitcom.fancywebrtc.FancyRTCMediaDevices.GetUserMediaListener({
                onError: function (error) {
                    reject(error);
                }, onSuccess: function (stream) {
                    resolve(TNSRTCMediaStream_1.TNSRTCMediaStream.fromNative(stream));
                }
            }));
        });
    };
    TNSRTCMediaDevices.enumerateDevices = function () {
        return new Promise(function (resolve, reject) {
            var info = co.fitcom.fancywebrtc.FancyRTCMediaDevices.enumerateDevices(app.android.foregroundActivity);
            var size = info.size();
            var devices = [];
            for (var i = 0; i < size; i++) {
                try {
                    var device = JSON.parse(info.get(i));
                    devices.push(new TNSMediaDevicesInfo_1.TNSMediaDevicesInfo(device.deviceId, device.groupId, device.kind, device.label));
                }
                catch (e) { }
            }
            resolve(devices);
        });
    };
    return TNSRTCMediaDevices;
}());
exports.TNSRTCMediaDevices = TNSRTCMediaDevices;
//# sourceMappingURL=TNSRTCMediaDevices.js.map