"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCRtpReceiver_1 = require("./TNSRTCRtpReceiver");
var TNSRTCRtpSender_1 = require("./TNSRTCRtpSender");
var TNSRTCRtpTransceiverBase_1 = require("../base/TNSRTCRtpTransceiverBase");
var TNSRTCRtpTransceiverDirection_1 = require("../core/TNSRTCRtpTransceiverDirection");
var TNSRTCRtpTransceiver = (function (_super) {
    __extends(TNSRTCRtpTransceiver, _super);
    function TNSRTCRtpTransceiver(transceiver) {
        var _this = _super.call(this, transceiver) || this;
        _this._transceiver = transceiver;
        return _this;
    }
    TNSRTCRtpTransceiver.fromNative = function (transceiver) {
        return new TNSRTCRtpTransceiver(transceiver);
    };
    TNSRTCRtpTransceiver.prototype.stop = function () {
        this._transceiver.stop();
    };
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "direction", {
        get: function () {
            switch (this._transceiver.getDirection()) {
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.INACTIVE:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.INACTIVE;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.RECV_ONLY:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.RECV_ONLY;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.SEND_ONLY:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.SEND_ONLY;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.SEND_RECV:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.SEND_RECV;
                default:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.INACTIVE;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "currentDirection", {
        get: function () {
            switch (this._transceiver.getCurrentDirection()) {
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.INACTIVE:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.INACTIVE;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.RECV_ONLY:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.RECV_ONLY;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.SEND_ONLY:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.SEND_ONLY;
                case co.fitcom.fancywebrtc.FancyRTCRtpTransceiverDirection.SEND_RECV:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.SEND_RECV;
                default:
                    return TNSRTCRtpTransceiverDirection_1.TNSRTCRtpTransceiverDirection.INACTIVE;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "mid", {
        get: function () {
            return this._transceiver.getMid();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "receiver", {
        get: function () {
            return TNSRTCRtpReceiver_1.TNSRTCRtpReceiver.fromNative(this._transceiver.getReceiver());
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "sender", {
        get: function () {
            return TNSRTCRtpSender_1.TNSRTCRtpSender.fromNative(this._transceiver.getSender());
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "stopped", {
        get: function () {
            return this._transceiver.getStopped();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "instance", {
        get: function () {
            return this._transceiver;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpTransceiver.prototype, "android", {
        get: function () {
            return this._transceiver.getRtpTransceiver();
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCRtpTransceiver;
}(TNSRTCRtpTransceiverBase_1.TNSRTCRtpTransceiverBase));
exports.TNSRTCRtpTransceiver = TNSRTCRtpTransceiver;
//# sourceMappingURL=TNSRTCRtpTransceiver.js.map