"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCDTMFSenderBase_1 = require("../base/TNSRTCDTMFSenderBase");
var TNSRTCDTMFSender = (function (_super) {
    __extends(TNSRTCDTMFSender, _super);
    function TNSRTCDTMFSender(sender) {
        var _this = _super.call(this, sender) || this;
        _this._sender = sender;
        return _this;
    }
    TNSRTCDTMFSender.fromNative = function (sender) {
        return new TNSRTCDTMFSender(sender);
    };
    TNSRTCDTMFSender.prototype.dispose = function () {
        this._sender.dispose();
    };
    TNSRTCDTMFSender.prototype.insertDTMF = function (tones, duration, interToneGap) {
        var d = duration != null ? duration : 100.0;
        var i = interToneGap != null ? interToneGap : 70.0;
        this._sender.insertDTMFWithTonesDurationInterToneGap(tones, duration, interToneGap);
    };
    Object.defineProperty(TNSRTCDTMFSender.prototype, "toneBuffer", {
        get: function () {
            return this._sender.toneBuffer;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCDTMFSender.prototype, "ios", {
        get: function () {
            return this._sender.sender;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCDTMFSender.prototype, "instance", {
        get: function () {
            return this._sender;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCDTMFSender;
}(TNSRTCDTMFSenderBase_1.TNSRTCDTMFSenderBase));
exports.TNSRTCDTMFSender = TNSRTCDTMFSender;
//# sourceMappingURL=TNSRTCDTMFSender.js.map