"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStream_1 = require("./TNSRTCMediaStream");
var TNSMediaDevicesInfo_1 = require("../core/TNSMediaDevicesInfo");
var TNSRTCMediaDevices = (function () {
    function TNSRTCMediaDevices() {
    }
    TNSRTCMediaDevices.getUserMedia = function (constraints) {
        return new Promise(function (resolve, reject) {
            FancyRTCMediaDevices.getUserMediaWithConstraintsListener(constraints.instance, function (stream, error) {
                if (error) {
                    reject(error);
                }
                else {
                    resolve(TNSRTCMediaStream_1.TNSRTCMediaStream.fromNative(stream));
                }
            });
        });
    };
    TNSRTCMediaDevices.getDisplayMedia = function (constraints) {
        return new Promise(function (resolve, reject) {
            FancyRTCMediaDevices.getDisplayMediaWithConstraintsListener(constraints.instance, function (stream, error) {
                if (error) {
                    reject(error);
                }
                else {
                    resolve(TNSRTCMediaStream_1.TNSRTCMediaStream.fromNative(stream));
                }
            });
        });
    };
    TNSRTCMediaDevices.enumerateDevices = function () {
        return new Promise(function (resolve, reject) {
            var info = FancyRTCMediaDevices.enumerateDevices();
            var size = info.count;
            var devices = [];
            for (var i = 0; i < size; i++) {
                try {
                    var device = JSON.parse(info.objectAtIndex(i));
                    devices.push(new TNSMediaDevicesInfo_1.TNSMediaDevicesInfo(device.deviceId, device.groupId, device.kind, device.label));
                }
                catch (e) { }
            }
            resolve(devices);
        });
    };
    return TNSRTCMediaDevices;
}());
exports.TNSRTCMediaDevices = TNSRTCMediaDevices;
//# sourceMappingURL=TNSRTCMediaDevices.js.map